Bug 968149 - ValueError: Cannot remove non-leaf device 'sda2'
Summary: ValueError: Cannot remove non-leaf device 'sda2'
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:36c2d383000a1364485a5907a04...
: 1074638 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-29 05:54 UTC by Steve
Modified: 2015-01-13 05:26 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-13 05:26:53 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (747.23 KB, text/plain)
2013-05-29 05:55 UTC, Steve
no flags Details
File: anaconda.log (13.94 KB, text/plain)
2013-05-29 05:55 UTC, Steve
no flags Details
File: backtrace (783 bytes, text/plain)
2013-05-29 05:55 UTC, Steve
no flags Details
File: environ (780 bytes, text/plain)
2013-05-29 05:55 UTC, Steve
no flags Details
File: ifcfg.log (573 bytes, text/plain)
2013-05-29 05:55 UTC, Steve
no flags Details
File: lsblk_output (1.31 KB, text/plain)
2013-05-29 05:55 UTC, Steve
no flags Details
File: nmcli_dev_list (3.37 KB, text/plain)
2013-05-29 05:55 UTC, Steve
no flags Details
File: packaging.log (346.72 KB, text/plain)
2013-05-29 05:55 UTC, Steve
no flags Details
File: program.log (50.78 KB, text/plain)
2013-05-29 05:55 UTC, Steve
no flags Details
File: storage.log (173.11 KB, text/plain)
2013-05-29 05:55 UTC, Steve
no flags Details
File: syslog (66.76 KB, text/plain)
2013-05-29 05:55 UTC, Steve
no flags Details
anaconda.log (14.79 KB, text/plain)
2013-06-01 15:38 UTC, Reartes Guillermo
no flags Details
storage.log (161.53 KB, text/plain)
2013-06-01 15:39 UTC, Reartes Guillermo
no flags Details

Description Steve 2013-05-29 05:54:51 UTC
Description of problem:
installing Fedora-19 beta on VirtualBox instance reclaiming virtual disk from previous Fedora-19 alpha to start a fresh system
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 290, in _removeDevice
    raise ValueError("Cannot remove non-leaf device '%s'" % dev.name)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 344, in registerAction
    self._removeDevice(action.device)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1175, in destroyDevice
    self.devicetree.registerAction(action)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 743, in recursiveRemove
    self.destroyDevice(device)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 372, in _scheduleActions
    self.storage.recursiveRemove(device)
ValueError: Cannot remove non-leaf device 'sda2'

Version-Release number of selected component:
anaconda-19.30-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta\x20i386 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.i686
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 372, in _scheduleActions
    self.storage.recursiveRemove(device)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 743, in recursiveRemove
    self.destroyDevice(device)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1175, in destroyDevice
    self.devicetree.registerAction(action)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 344, in registerAction
    self._removeDevice(action.device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 290, in _removeDevice
    raise ValueError("Cannot remove non-leaf device '%s'" % dev.name)
ValueError: Cannot remove non-leaf device 'sda2'

Potential duplicate: bug 868505

Comment 1 Steve 2013-05-29 05:55:06 UTC
Created attachment 754168 [details]
File: anaconda-tb

Comment 2 Steve 2013-05-29 05:55:11 UTC
Created attachment 754169 [details]
File: anaconda.log

Comment 3 Steve 2013-05-29 05:55:15 UTC
Created attachment 754170 [details]
File: backtrace

Comment 4 Steve 2013-05-29 05:55:19 UTC
Created attachment 754171 [details]
File: environ

Comment 5 Steve 2013-05-29 05:55:23 UTC
Created attachment 754172 [details]
File: ifcfg.log

Comment 6 Steve 2013-05-29 05:55:28 UTC
Created attachment 754173 [details]
File: lsblk_output

Comment 7 Steve 2013-05-29 05:55:32 UTC
Created attachment 754174 [details]
File: nmcli_dev_list

Comment 8 Steve 2013-05-29 05:55:40 UTC
Created attachment 754175 [details]
File: packaging.log

Comment 9 Steve 2013-05-29 05:55:45 UTC
Created attachment 754176 [details]
File: program.log

Comment 10 Steve 2013-05-29 05:55:51 UTC
Created attachment 754177 [details]
File: storage.log

Comment 11 Steve 2013-05-29 05:55:55 UTC
Created attachment 754178 [details]
File: syslog

Comment 12 Reartes Guillermo 2013-06-01 15:32:52 UTC
Description of problem:
Did automatic partitioning (deleting) with the first disk. ok.
Then i decied that i would use the second disk, so i selected it too and
did also automatic partitioning but changed the partition scheme and 
deleted, then i returned to the main hub but anaconda crashes.

Version-Release number of selected component:
anaconda-19.30-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 372, in _scheduleActions
    self.storage.recursiveRemove(device)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 743, in recursiveRemove
    self.destroyDevice(device)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1175, in destroyDevice
    self.devicetree.registerAction(action)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 344, in registerAction
    self._removeDevice(action.device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 290, in _removeDevice
    raise ValueError("Cannot remove non-leaf device '%s'" % dev.name)
ValueError: Cannot remove non-leaf device 'vdb1'

Comment 13 Reartes Guillermo 2013-06-01 15:38:51 UTC
Created attachment 755553 [details]
anaconda.log

Comment 14 Reartes Guillermo 2013-06-01 15:39:12 UTC
Created attachment 755554 [details]
storage.log

Comment 15 Reartes Guillermo 2013-06-01 15:44:03 UTC
I tried again the opposite (vdb then vda) and it also failed.

Doing automatic partitioning (default scheme: lvm) by selecting a disk (vda) and
then also trying to do automatic partitioning (changing scheme: btrfs) but with
vdb only causes anaconda to crash. For both reclaim space, the action was always
to delete.

Comment 16 David Shea 2014-03-13 21:49:23 UTC
*** Bug 1074638 has been marked as a duplicate of this bug. ***

Comment 17 Flóki Pálsson 2014-03-23 21:59:40 UTC
Another user experienced a similar problem:

language IS.  Select disk.  Select "I will configure partitioning." Click Done.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-rawhi rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.14.0-0.rc7.git0.1.fc21.x86_64
other involved packages: python-blivet-0.44-1.fc21.noarch, anaconda-gui-21.27-1.fc21.x86_64
package:        anaconda-core-21.27-1.fc21.x86_64
packaging.log:  
product:        Fedora
reason:         ValueError: Cannot remove non-leaf device 'sdb2'
release:        Fedora release 21 (Rawhide)
version:        rawhide

Comment 18 Fedora End Of Life 2015-01-09 18:14:53 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 David Shea 2015-01-12 14:32:58 UTC
Does this issue still occur on Fedora 20? Or preferably, could you test with Fedora 21? If the issue still occurs, please attach the new anaconda-tb file.

Comment 20 Steve 2015-01-13 05:26:53 UTC
created F20 system on a VirtualBox with custom partitioning
reused virtual disk and installed F21 with new custom partitioning 
installation of F20 an F21 worked


Note You need to log in before you can comment on or make changes to this bug.